Summary:	Python binding to exiv2
Name:		python-exiv2
Version:	0.3.2
License:	GPLv2+
Group:		Development/Python 
Release:	%mkrel 9
Source:		http://launchpad.net/pyexiv2/0.3.x/%{version}/+download/pyexiv2-%{version}.tar.bz2
Patch0:         http://tilloy.net/dev/pyexiv2-0.3.2-exiv2-0.18.2.patch
Patch3:		pyexiv2-0.2.2-link.patch
URL:		http://tilloy.net/dev/pyexiv2/
BuildRequires:	libexiv-devel
BuildRequires:	boost-devel
BuildRequires:	scons
BuildRequires:	pkgconfig(python2)
Provides:	pyexiv2 = %{version}

%description
pyexiv2 is a python binding to exiv2, the C++ library for
manipulation of EXIF and IPTC image metadata. It is a python module
that allows your python scripts to read and write metadata (EXIF,
IPTC, thumbnail) embedded in image files (JPEG, TIFF, ...).

It is designed as a high level interface to the functionalities
offered by exiv2 (and is built on top of it). Using python's built-in
data types and standard modules, it provides easy manipulation of
image metadata.

%files
%doc todo README
%{python2_sitearch}/*

%prep
%setup -q -n pyexiv2-%{version}
%autopatch -p0

%build
%setup_compile_flags
%scons BOOSTLIB="boost_python"

%install
%setup_compile_flags
%scons_install BOOSTLIB="boost_python"


%changelog
* Sun Dec 27 2015 daviddavid <daviddavid> 0.3.2-9.mga6
+ Revision: 916059
- rebuild for new boost 1.60.0

* Sun Sep 27 2015 tv <tv> 0.3.2-8.mga6
+ Revision: 884216
- rebuild for new boost

* Mon Aug 24 2015 philippem <philippem> 0.3.2-7.mga6
+ Revision: 869151
- fix build

* Wed Aug 05 2015 tv <tv> 0.3.2-6.mga6
+ Revision: 861390
- BR python-devel

  + daviddavid <daviddavid>
    - rebuild for new boost-1.58.0

* Wed Oct 15 2014 umeabot <umeabot> 0.3.2-5.mga5
+ Revision: 743414
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.2-4.mga5
+ Revision: 728452
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.2-3.mga5
+ Revision: 688025
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Mon Feb 10 2014 dams <dams> 0.3.2-1.mga5
+ Revision: 589038
- new version 0.3.2
- new version 0.3.2

* Sat Feb 08 2014 barjac <barjac> 0.3.0-13.mga5
+ Revision: 586752
- rebuild against boost-1.55

* Sat Oct 19 2013 umeabot <umeabot> 0.3.0-12.mga4
+ Revision: 529596
- Mageia 4 Mass Rebuild

* Wed Jul 10 2013 fwang <fwang> 0.3.0-11.mga4
+ Revision: 452489
- rebuild for new boost

* Thu Apr 11 2013 ennael <ennael> 0.3.0-10.mga3
+ Revision: 409604
- rebuild for boost 1.53

* Sun Jan 13 2013 umeabot <umeabot> 0.3.0-9.mga3
+ Revision: 378815
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 0.3.0-8.mga3
+ Revision: 333068
- rebuild for new boost

* Thu Aug 02 2012 fwang <fwang> 0.3.0-7.mga3
+ Revision: 277962
- there is no mt flavour
- rebuild for new boost

* Mon Jun 18 2012 fwang <fwang> 0.3.0-6.mga3
+ Revision: 261652
- rebuild for new exiv

* Wed May 30 2012 fwang <fwang> 0.3.0-5.mga3
+ Revision: 250112
- rebuild for new boost

* Mon Nov 28 2011 fwang <fwang> 0.3.0-4.mga2
+ Revision: 173621
- rebuild for new boost

* Sun Oct 09 2011 fwang <fwang> 0.3.0-3.mga2
+ Revision: 153430
- rebuild for new exiv2
- new verison 0.3.0

* Wed Jun 22 2011 fwang <fwang> 0.2.2-2.mga2
+ Revision: 112094
- use mt flavorur of boost
- rebuild for new boost

* Sat May 07 2011 mikala <mikala> 0.2.2-1.mga1
+ Revision: 95655
- Remove BuildRoot
- imported package python-exiv2


* Thu Mar 17 2011 Funda Wang <fwang@mandriva.org> 0.2.2-2mdv2011.0
+ Revision: 645714
- rebuild

* Sun Dec 05 2010 Funda Wang <fwang@mandriva.org> 0.2.2-1mdv2011.0
+ Revision: 609584
- add versioned provides
- new version 0.2.2

* Fri Nov 19 2010 Funda Wang <fwang@mandriva.org> 0.1.3-10mdv2011.0
+ Revision: 598992
- rebuild for py2.7

* Tue Aug 24 2010 Funda Wang <fwang@mandriva.org> 0.1.3-9mdv2011.0
+ Revision: 572531
- rebuild for new boost

* Thu Aug 05 2010 Funda Wang <fwang@mandriva.org> 0.1.3-8mdv2011.0
+ Revision: 566292
- rebuild for new boost

* Tue Aug 03 2010 Funda Wang <fwang@mandriva.org> 0.1.3-7mdv2011.0
+ Revision: 565546
- rebuild for new exiv2

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 0.1.3-6mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 0.1.3-5mdv2010.1
+ Revision: 500337
- rebuild for new boost

* Wed Jan 06 2010 Frederik Himpe <fhimpe@mandriva.org> 0.1.3-4mdv2010.1
+ Revision: 486835
- Add upstream patch (via Debian) to fix build with exiv2 0.19
- Rebuild for new libexiv2

  + Funda Wang <fwang@mandriva.org>
    - rebuild for new exiv

* Mon Aug 24 2009 Funda Wang <fwang@mandriva.org> 0.1.3-2mdv2010.0
+ Revision: 420245
- rebuild for new libboost

  + John Balcaen <mikala@mandriva.org>
    - Clean spec file

* Tue Aug 11 2009 John Balcaen <mikala@mandriva.org> 0.1.3-1mdv2010.0
+ Revision: 414504
- Fix BuildRequires
- Add Patch for lib64 path support
- import python-exiv2


* Sat Aug 08 2009 John Balcaen <mikala@mandriva.org>  0.1.3-1mdv2010.0
 - initial import
